# __precompile__()
installed_packages = Pkg.installed()
if "LabConnection" ∉ keys(installed_packages)
	Pkg.clone("https://gitlab.control.lth.se/labdev/LabConnection.jl")
end


module LabProcesses

using ControlSystems, LabConnection.Computer, Parameters

include("utilities.jl")

include("interface.jl")
include("interface_documentation.jl")
include("interface_implementations/ballandbeam.jl")
include("interface_implementations/eth_helicopter.jl")

include("reference_generators.jl")
include("controllers.jl")

end # module
